public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/versioneer/
Date: Fri, 28 Oct 2022 07:09:03 +0000 (UTC)	[thread overview]
Message-ID: <1666940930.6d1b28a6d04ef9c10efb9ef961889e1448540ad7.mgorny@gentoo> (raw)

commit:     6d1b28a6d04ef9c10efb9ef961889e1448540ad7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 28 05:59:12 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 07:08:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d1b28a6

dev-python/versioneer: Bump to 0.28

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/versioneer/Manifest               |  1 +
 dev-python/versioneer/versioneer-0.28.ebuild | 51 ++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/versioneer/Manifest b/dev-python/versioneer/Manifest
index cb3879b5ce83..202b9a6b287d 100644
--- a/dev-python/versioneer/Manifest
+++ b/dev-python/versioneer/Manifest
@@ -1 +1,2 @@
 DIST python-versioneer-0.26.gh.tar.gz 75408 BLAKE2B 492538de63d0394f622e5d344955024559b66dea71909cabb366aa7df5cf8b43d3599af6693df3d8cb98c96df314f6cafa12bd237dc6f44be42370fe9cf0224f SHA512 7729cb94d30d3a666ac7e24f9c98880e801d54f986f9bd442695bc71e01ffc06ac53c952e67ab9a5db5d1cefe2a2dc37cd34e84cd5810e7873ae96a7afb65ad0
+DIST python-versioneer-0.28.gh.tar.gz 77503 BLAKE2B a4d75ce8a7db057421e36fd75bfa9ec83a41191b999c2a81b3879290424005b521f7b6046debb847bf78eae459ef7247d903f971d2a0c4fce116ec0cd1f34833 SHA512 ef27f4588f1c76eb5da1e108f2eee635707b2427cd79a71880f8df217317329e5fb81b30b1e741f2439550dc73f9a816ebdf47af475862344d67ed2189f92a1e

diff --git a/dev-python/versioneer/versioneer-0.28.ebuild b/dev-python/versioneer/versioneer-0.28.ebuild
new file mode 100644
index 000000000000..f26ee12e3cc0
--- /dev/null
+++ b/dev-python/versioneer/versioneer-0.28.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=python-versioneer-${PV}
+DESCRIPTION="Easy VCS-based management of project version strings"
+HOMEPAGE="
+	https://pypi.org/project/versioneer/
+	https://github.com/python-versioneer/python-versioneer/
+"
+SRC_URI="
+	https://github.com/python-versioneer/python-versioneer/archive/${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="Unlicense"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/tomli[${PYTHON_USEDEP}]
+	' 3.8 3.9 3.10)
+"
+BDEPEND="
+	test? (
+		dev-python/build[${PYTHON_USEDEP}]
+		dev-python/packaging[${PYTHON_USEDEP}]
+		dev-vcs/git
+		!!dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	esetup.py make_versioneer
+
+	git config --global user.email "you@example.com" || die
+	git config --global user.name "Your Name" || die
+	git config --global init.defaultBranch whatever || die
+
+	"${EPYTHON}" test/git/test_git.py -v || die
+}


             reply	other threads:[~2022-10-28  7:09 UTC|newest]

Thread overview: 61+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-28  7:09 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 12:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/versioneer/ Michał Górny
2024-05-18 11:11 Michał Górny
2024-05-18 11:11 Michał Górny
2023-09-27  1:15 Sam James
2023-09-27  1:13 Sam James
2023-08-19 18:19 Michał Górny
2023-08-19 17:53 Arthur Zamarin
2023-07-10 23:00 Patrick McLean
2023-05-29  9:31 Michał Górny
2023-05-27 17:45 Sam James
2022-11-29  8:48 Michał Górny
2022-11-29  7:49 Arthur Zamarin
2022-10-17  5:28 Michał Górny
2022-10-10 20:18 Michał Górny
2022-10-10 18:34 Sam James
2022-09-20  5:37 Michał Górny
2022-09-19 20:19 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-09-03  9:12 Arthur Zamarin
2022-08-31 17:38 Michał Górny
2022-08-31  9:21 Michał Górny
2022-08-13  8:05 Michał Górny
2022-05-16 16:03 Andrew Ammerlaan
2022-04-09 18:39 Michał Górny
2022-04-09 16:58 Arthur Zamarin
2022-03-09 19:13 Arthur Zamarin
2021-11-21 20:14 Michał Górny
2021-11-21 19:36 Jakov Smolić
2021-10-14  7:51 Michał Górny
2021-09-06 23:56 Sam James
2021-09-06 23:54 Sam James
2021-08-17  1:42 Sam James
2021-08-16  6:19 Michał Górny
2021-08-16  5:13 Agostino Sarubbo
2021-07-15  9:22 Michał Górny
2021-05-07 11:58 Michał Górny
2020-12-17  8:48 Michał Górny
2020-12-17  4:56 Sam James
2020-11-11  8:49 Michał Górny
2020-09-18 15:53 Michał Górny
2020-06-05 16:03 Michał Górny
2020-05-02 13:30 Mart Raudsepp
2020-05-01 17:48 Agostino Sarubbo
2020-05-01 17:46 Agostino Sarubbo
2020-05-01 17:42 Agostino Sarubbo
2020-05-01 12:54 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-29 11:14 Michał Górny
2020-03-01  3:43 Andrey Grozin
2019-02-28 22:49 Patrice Clement
2018-03-19 23:05 Sergei Trofimovich
2018-01-09  0:10 Mikle Kolyada
2018-01-08 22:50 Thomas Deutschmann
2017-05-03  7:37 Michał Górny
2017-03-10 11:43 Zac Medico
2016-06-12 17:17 Patrick Lauer
2015-10-31  8:41 Justin Lecher
2015-10-31  8:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1666940930.6d1b28a6d04ef9c10efb9ef961889e1448540ad7.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox